Skip to main content
GET
Get analytics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string<uuid>
required

Workspace ID

startDate
string

Start date for analytics period (ISO format)

endDate
string

End date for analytics period (ISO format)

phoneNumberId
string<uuid>

Filter by phone number ID

assistantId
string<uuid>

Filter by assistant/agent ID

assistantIds
string<uuid>[]

Filter by multiple assistant IDs

granularity
enum<string>

Time series granularity: hour, day, or month

Available options:
hour,
day,
month
metrics
enum<string>[]

Specific metrics to return (JSON array)

Available options:
summary,
timeSeries,
endedReasons,
topCalls,
geoDistribution,
callThemes,
sentimentDistribution
timezone
string

IANA timezone for date calculations

Required string length: 2 - 64
status
string[]

Filter by call status (JSON array)

Minimum string length: 1
callType
enum<string>[]

Filter by call type: inbound, outbound, web (JSON array)

Available options:
inbound,
outbound,
web,
inboundPhoneCall,
outboundPhoneCall,
webCall

Response

Analytics data

success
enum<boolean>
required
Available options:
true
data
object
required